Subject: [PATCH 10/10] drivers: misc: use module_platform_driver_probe()

From: [email-masked] (Arnd Bergmann)
Date: Wed, 20 Mar 2013 10:20:14 +0000

On Wednesday 20 March 2013, Fabio Porcedda wrote:
> I think we can check inside the  deferred_probe_work_func()
> if the dev->probe function pointer is equal to platform_drv_probe_fail().

I think it's too late by then, because that would only warn if we try to probe
it again, but when platform_driver_probe() does not succeed immediately, it
unregisters the driver again, so we never get there.

	Arnd